Loading...
Searching...
No Matches
string_caseless_compare.hpp File Reference

Helpers for caseless comparison of strings. More...

`#include <restinio/impl/to_lower_lut.hpp>`
`#include <restinio/string_view.hpp>`

Go to the source code of this file.

## Namespaces

namespace | restinio
namespace | restinio::impl
namespace | restinio::impl::string_caseless_compare_details

## Functions

constexpr auto | restinio::impl::string_caseless_compare_details::uchar_at (const char *const from, const std::size_t at) noexcept
bool | restinio::impl::is_equal_caseless (const char *a, const char *b, std::size_t size) noexcept
| Comparator for fields names.
bool | restinio::impl::is_equal_caseless (const char *a, std::size_t a_size, const char *b, std::size_t b_size) noexcept
| Comparator for fields names.
bool | restinio::impl::is_equal_caseless (string_view_t a, string_view_t b) noexcept
| Comparator for fields names.

## Detailed Description

Helpers for caseless comparison of strings.

Since
  v.0.6.1

Definition in file string_caseless_compare.hpp.